View Issue Details

This bug affects 1 person(s).
 4
IDProjectCategoryView StatusLast Update
12976Bug reportsSurvey editingpublic2018-01-15 10:35
Reporterpunch Assigned Toollehar  
PrioritynoneSeveritypartial_block 
Status closedResolutionfixed 
Product Version3.0.0-rc.x 
Summary12976: Equation Type question cannot be hidden in Group by Group presentation
DescriptionDear developers,

I have installed Version 3.0.0-RC.3+171113 and noticed that the "Always hide this question" advanced option does not work for equation questions if "Group by Group" format is selected.

Also, "hide group name" in the "presentation options" does not work anymore, once an equation question is selected
Steps To ReproduceSelect Group by Group format for Survey

Create a question group.

Add two questions:
Questions 1) Equation Type question
-Select "always hidden" from advanced options.

Questions 2) Short Text Type question

Preview Survey
TagsNo tags attached.
Bug heat4
Complete LimeSurvey version number (& build)3.0.0-RC.3+171113
I will donate to the project if issue is resolvedNo
Browser
Database & DB-VersionNA
Server OS (if known)Ubuntu
Webserver software & version (if known)NA
PHP VersionnA

Activities

ollehar

ollehar

2017-12-04 11:49

administrator   ~45239

Thank you for reporting, but please ALWAYS attach a survey which reproduces the issue.
ollehar

ollehar

2017-12-04 12:00

administrator  

ollehar

ollehar

2017-12-04 12:18

administrator   ~45242

Fix committed to develop branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=25340
c_schmitz

c_schmitz

2018-01-15 10:35

administrator   ~45619

Version 3.0.3 released.

Related Changesets

LimeSurvey: develop ff99057d

2017-12-04 12:18:03

ollehar

Details Diff
Fixed issue 12976: Equation Type question cannot be hidden in Group by Group presentation Affected Issues
12976
mod - application/config/version.php Diff File
mod - assets/packages/limesurvey/survey.css Diff File

Issue History

Date Modified Username Field Change
2017-11-29 16:20 punch New Issue
2017-12-04 11:49 ollehar Note Added: 45239
2017-12-04 11:49 ollehar Assigned To => ollehar
2017-12-04 11:49 ollehar Status new => assigned
2017-12-04 12:00 ollehar Status assigned => confirmed
2017-12-04 12:00 ollehar File Added: limesurvey_survey_914654.lss
2017-12-04 12:18 ollehar Changeset attached => LimeSurvey develop ff99057d
2017-12-04 12:18 ollehar Note Added: 45242
2017-12-04 12:18 ollehar Resolution open => fixed
2017-12-04 12:19 ollehar Status confirmed => resolved
2018-01-15 10:35 c_schmitz Note Added: 45619
2018-01-15 10:35 c_schmitz Status resolved => closed
2019-11-01 17:25 c_schmitz Category Survey design => Survey editing